
export function getCanvasConfig(config, params) {
  if (!config || !params) {
    throw new Error('转换海报配置出错: config 或 params 不能为空')
  }

  const { basic, items } = typeof config === 'string' ? JSON.parse(config) : config

  const itemConf = items.reduce((conf, item) => {
    const { type, remark, value, variable, ...others } = item
    const settingOfType = conf[type] || []
    let val = variable ? params[variable] : value

    let mainVal = {}
    switch (type) {
      case 'texts':
        mainVal = { text: val }
        break;
      case 'images':
        mainVal = { url: val }
        break;
      default:
        val = true
        break;
    }

    if (val) {
      settingOfType.push({
        ...mainVal,
        ...others,
      })
      conf[type] = settingOfType
    }
    
    return conf
  }, {})

  return {
    ...basic,
    ...itemConf,
  }
}
